Skip to main content
GET
/
api
/
v1
/
scans
/
{scan_id}
/
features
Get Scan Features Endpoint
curl --request GET \
  --url https://api.valiqor.com/api/v1/scans/{scan_id}/features \
  --header 'Authorization: Bearer <token>'
{
  "scan_id": "<string>",
  "features": [
    {
      "feature_id": "<string>",
      "feature_kind": "<string>",
      "repo_relative_path": "<string>",
      "class_context": "<string>",
      "has_retrieval": true,
      "has_tools": true,
      "has_llm_judge": true,
      "has_loop": true,
      "base_metrics": [
        "<string>"
      ],
      "step_count": 0
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

scan_id
string
required

Response

Successful Response

Response for list of features

scan_id
string
required
features
FeatureResponse · object[]
required
count
integer
required